org.apache.felix.ipojo.extender.internal.declaration

## Class DefaultInstanceDeclaration

- java.lang.Object
- - org.apache.felix.ipojo.extender.internal.AbstractService
  - - org.apache.felix.ipojo.extender.internal.declaration.AbstractDeclaration
    - - org.apache.felix.ipojo.extender.internal.declaration.DefaultInstanceDeclaration

All Implemented Interfaces:
  Declaration, DeclarationHandle, InstanceDeclaration, Lifecycle, Status

    public class DefaultInstanceDeclaration
    extends AbstractDeclaration
    implements InstanceDeclaration

Default implementation of the instance declaration.

### Field Summary

### Fields inherited from class org.apache.felix.ipojo.extender.internal.declaration.AbstractDeclaration

`DECLARATION_BOUND_MESSAGE`

### Fields inherited from class org.apache.felix.ipojo.extender.internal.AbstractService

`m_bundleContext`

### Fields inherited from interface org.apache.felix.ipojo.extender.InstanceDeclaration

`COMPONENT_NAME_PROPERTY, COMPONENT_VERSION_PROPERTY, INSTANCE_NAME, UNNAMED_INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultInstanceDeclaration(org.osgi.framework.BundleContext bundleContext, java.lang.String componentName)`
`DefaultInstanceDeclaration(org.osgi.framework.BundleContext bundleContext, java.lang.String componentName, java.util.Dictionary<java.lang.String,java.lang.Object> configuration)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.osgi.framework.Bundle` `getBundle()` Gets the bundle that is declaring this instance.
`java.lang.String` `getComponentName()`
`java.lang.String` `getComponentVersion()`
`java.util.Dictionary<java.lang.String,java.lang.Object>` `getConfiguration()` The instance configuration.
`java.lang.String` `getInstanceName()` Gets the instance name.
`protected java.util.Dictionary<java.lang.String,?>` `getServiceProperties()`

### Methods inherited from class org.apache.felix.ipojo.extender.internal.declaration.AbstractDeclaration

`bind, getMessage, getStatus, getThrowable, isBound, publish, retract, unbind, unbind`

### Methods inherited from class org.apache.felix.ipojo.extender.internal.AbstractService

`getBundleContext, getRegistration, isRegistered, registerService, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.felix.ipojo.extender.Declaration

`bind, getStatus, unbind, unbind`

### Constructor Detail

#### DefaultInstanceDeclaration

    public DefaultInstanceDeclaration(org.osgi.framework.BundleContext bundleContext,
                                      java.lang.String componentName)

#### DefaultInstanceDeclaration

    public DefaultInstanceDeclaration(org.osgi.framework.BundleContext bundleContext,
                                      java.lang.String componentName,
                                      java.util.Dictionary<java.lang.String,java.lang.Object> configuration)

### Method Detail

#### getConfiguration

    public java.util.Dictionary<java.lang.String,java.lang.Object> getConfiguration()

Description copied from interface: `InstanceDeclaration`
The instance configuration.

Specified by:
  `getConfiguration` in interface `InstanceDeclaration`
Returns:
  the instance configuration

#### getComponentName

    public java.lang.String getComponentName()

Specified by:
  `getComponentName` in interface `InstanceDeclaration`
Returns:
  the component type's name.

#### getComponentVersion

    public java.lang.String getComponentVersion()

Specified by:
  `getComponentVersion` in interface `InstanceDeclaration`
Returns:
  the component type's version, null if not set.

#### getInstanceName

    public java.lang.String getInstanceName()

Description copied from interface: `InstanceDeclaration`
Gets the instance name.

Specified by:
  `getInstanceName` in interface `InstanceDeclaration`
Returns:
  the instance name, unnamed if not specified.

#### getBundle

    public org.osgi.framework.Bundle getBundle()

Gets the bundle that is declaring this instance.

Specified by:
  `getBundle` in interface `InstanceDeclaration`
Returns:
  the bundle object
Since:
  1.11.2

#### getServiceProperties

    protected java.util.Dictionary<java.lang.String,?> getServiceProperties()

Overrides:
  `getServiceProperties` in class `AbstractService`
Returns:
  the service properties, null by default.